wxSQLite3Exception Class Reference

SQL exception. More...

`#include <wxsqlite3.h>`

## Public Member Functions

| wxSQLite3Exception (int errorCode, const wxString &errMsg)
| Constructor.
| wxSQLite3Exception (const wxSQLite3Exception &e)
| Copy constructor.
virtual | ~wxSQLite3Exception ()
| Destructor.
int | GetErrorCode () const
| Get error code associated with the exception.
int | GetExtendedErrorCode () const
| Get extended error code associated with the exception.
const wxString | GetMessage () const
| Get error message associated with the exception.

## Static Public Member Functions

static const wxString | ErrorCodeAsString (int errorCode)
| Convert error code to error message.

## Detailed Description

SQL exception.

## Constructor & Destructor Documentation

## wxSQLite3Exception() [1/2]

wxSQLite3Exception::wxSQLite3Exception | ( | int | errorCode,
|  | const wxString & | errMsg
| ) |  |

Constructor.

## wxSQLite3Exception() [2/2]

wxSQLite3Exception::wxSQLite3Exception | ( | const wxSQLite3Exception & | e | ) |

Copy constructor.

## ~wxSQLite3Exception()

wxSQLite3Exception::~wxSQLite3Exception | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ErrorCodeAsString()

const wxString wxSQLite3Exception::ErrorCodeAsString | ( | int | errorCode | ) |

static

Convert error code to error message.

## GetErrorCode()

int wxSQLite3Exception::GetErrorCode | ( |  | ) | const

inline

Get error code associated with the exception.

## GetExtendedErrorCode()

int wxSQLite3Exception::GetExtendedErrorCode | ( |  | ) | const

inline

Get extended error code associated with the exception.

## GetMessage()

const wxString wxSQLite3Exception::GetMessage | ( |  | ) | const

inline

Get error message associated with the exception.

The documentation for this class was generated from the following files:

- wxsqlite3.h
- wxsqlite3.cpp